from rest_framework import serializers

class SimpleUserSerializer(serializers.Serializer):
    """Serializer พื้นฐานสำหรับผู้ใช้งาน"""
    id = serializers.IntegerField()
    username = serializers.CharField(source='get_username')
    # สามารถเพิ่มฟิลด์ที่ต้องการแสดงได้ เช่น email, first_name